Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## configuration
Interface ComponentEvent

All Known Implementing Classes:
  SimpleEvent

public abstract interface ComponentEvent

An interface for representing events related to ComponentConfigurators.

See Also:
  `ComponentConfigurator`

Field Summary
`static int` | `APP_SPECIFIC` An application-specific event type.
`static int` | `DELETED` component deleted.
`static int` | `FAILED` component failure.
`static int` | `FINISHED` component finished.
`static int` | `MIGRATED` component migrated.
`static int` | `RECONFIGURED` component reconfigured.
`static int` | `REPLACED` component replaced.
`static int` | `SHUTDOWN` component shutting down.
`static int` | `STARTED` component started.
`static java.lang.String` | `UNKNOWN` unknown event String.

Method Summary
`int` | `getType()` Accessor for the event type.
`java.lang.String` | `toString()` Converts the event into a String.

Field Detail

### UNKNOWN

    public static final java.lang.String UNKNOWN

  unknown event String.

### STARTED

    public static final int STARTED

  component started.

### FINISHED

    public static final int FINISHED

  component finished.

### SHUTDOWN

    public static final int SHUTDOWN

  component shutting down.

### RECONFIGURED

    public static final int RECONFIGURED

  component reconfigured.

### REPLACED

    public static final int REPLACED

  component replaced.

### MIGRATED

    public static final int MIGRATED

  component migrated.

### DELETED

    public static final int DELETED

  component deleted.

### FAILED

    public static final int FAILED

  component failure.

### APP_SPECIFIC

    public static final int APP_SPECIFIC

  An application-specific event type. The toString method can return an application-specific description of the event. Alternatively, the application can define more event type codes.

Method Detail

### toString

    public java.lang.String toString()

  Converts the event into a String.
  Returns:
    a string describing the event.
  Overrides:
    toString in class java.lang.Object

### getType

    public int getType()

  Accessor for the event type.
  Returns:
    the type of the event.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD